Bug 865571 - man page for headpin shows katello context
man page for headpin shows katello context
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.2
Assigned To: Adam Price
Tazim Kolhar
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-10-11 15:22 EDT by Og Maciel
Modified: 2016-04-25 20:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Introduced headpin-specific manpage
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:18:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-10-11 15:22:34 EDT
Description of problem:

When you view the man page for headpin, the text mentions katello instead of headpin.

Shouldn't this be changed? e.g.:

DESCRIPTION
-       The katello program is an command line application for interaction
+       The headpin program is an command line application for interaction

or

-        Command 'katello activation_key':
+        Command 'headpin activation_key':
           add_system_group - add system group to an activation key
           create - create an activation key
           delete - delete an activation key

Version-Release number of selected component (if applicable):

Headpin 1.1.15-2h.el6_3
* candlepin-0.7.13-1.el6_3.noarch
* candlepin-tomcat6-0.7.13-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-1.1.11-1h.el6_3.noarch
* katello-cli-common-1.1.11-1h.el6_3.noarch
* katello-common-1.1.15-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.15-2h.el6_3.noarch
* katello-headpin-1.1.15-2h.el6_3.noarch
* katello-headpin-all-1.1.15-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Adam Price 2012-10-17 10:15:19 EDT
we should have two separate man pages for katello and headpin, and probably just install them both.
Comment 4 Mike McCune 2012-10-31 13:56:18 EDT
this isn't a CFSE 1.1 bug.  moving
Comment 7 Tom McKay 2012-12-03 10:40:27 EST
In latest compose
Comment 8 Tazim Kolhar 2012-12-03 11:13:46 EST
VERIFIED :

headpin - Headpin command line tool

SYNOPSIS
         headpin [options] command [parameter1] [parameterN] ...

           Options include:
             [ -h | --help ]
             [ -v | --version ]
             [ -d | --debug ]
             [ -u | --username ]
             [ -p | --password ]
             [ --host ]

       Commands and parameters are described below.

DESCRIPTION
       The headpin program is an command line application for interaction with
       a Headpin instance. It can be used by Headpin administrators and users
       to execute regular tasks. There is a built-in shell avaiable that can
       be used for scripting purposes.
Comment 10 errata-xmlrpc 2013-02-21 14:18:09 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.